Package com.sap.ai.sdk.foundationmodels.openai.model

# Enum Class OpenAiContentFilterSeverityResult.Severity

java.lang.Object
java.lang.Enum<OpenAiContentFilterSeverityResult.Severity>
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiContentFilterSeverityResult.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<OpenAiContentFilterSeverityResult.Severity>`, `Constable`

Enclosing class:
  `OpenAiContentFilterSeverityResult`

public static enum OpenAiContentFilterSeverityResult.Severity extends Enum<OpenAiContentFilterSeverityResult.Severity>
The severity of the content.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIGH`
  Harmful content at a high intensity and risk level.
  `LOW`
  Harmful content at a low intensity and risk level.
  `MEDIUM`
  Harmful content at a medium intensity and risk level.
  `SAFE`
  General content or related content in generic or non-harmful contexts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static OpenAiContentFilterSeverityResult.Severity`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OpenAiContentFilterSeverityResult.Severity[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SAFE

    public static final OpenAiContentFilterSeverityResult.Severity SAFE
    General content or related content in generic or non-harmful contexts.

  - ### LOW

    public static final OpenAiContentFilterSeverityResult.Severity LOW
    Harmful content at a low intensity and risk level.

  - ### MEDIUM

    public static final OpenAiContentFilterSeverityResult.Severity MEDIUM
    Harmful content at a medium intensity and risk level.

  - ### HIGH

    public static final OpenAiContentFilterSeverityResult.Severity HIGH
    Harmful content at a high intensity and risk level.

- ## Method Details

  - ### values

    public static OpenAiContentFilterSeverityResult.Severity[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OpenAiContentFilterSeverityResult.Severity valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()